Credit card tokenization

Creates a token to reuse a credit card in future transactions of the same customer, without creating a charge.

The generated token is linked to the customer provided in customer and cannot be used in transactions of other customers.

The success response provides the creditCardToken, which can replace sending creditCard and creditCardHolderInfo in operations that support tokenization.

⚠️

Availability

Tokenization is available for testing in Sandbox.

In Production, the feature requires enablement and is subject to an analysis of the operation.

Related content

Guides

Body Params
string
required

Unique customer identifier in Asaas

creditCard
object
required

Credit card information

creditCardHolderInfo
object
required

Credit card holder information

string
required

IP from where the customer is making the purchase. Your server's IP must not be entered.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json